Subject: Re: [PATCH v3 0/8] In grep, no adding submodule ODB as alternates

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Sep 2021 17:26:18 -0700

Jonathan Tan <[email-masked]> writes:

> Thanks for reviewing, everyone. Here are the requested changes.
>
> Jonathan Tan (8):
>   submodule: lazily add submodule ODBs as alternates
>   grep: use submodule-ODB-as-alternate lazy-addition
>   grep: typesafe versions of grep_source_init
>   grep: read submodule entry with explicit repo
>   grep: allocate subrepos on heap
>   grep: add repository to OID grep sources
>   submodule-config: pass repo upon blob config read
>   t7814: show lack of alternate ODB-adding

I didn't see anybody comment on this round (and do not think I saw
anything glaringly wrong).

Is everybody happy with this version?  I am about to mark it for
'next' in the next issue of "What's cooking" report, so please
holler if I should wait.

Thanks.